	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour6")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", 0.00)
	call psetr("subpage_upper_right_longitude", 359.00)
	call psetr("subpage_upper_right_latitude", 90.00)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", -90.00)

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "contour6.grib")
	call pgrib

	call preset('grib_field_position')
	call preset('grib_input_file_name')

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_coastline_land_shade')

	call psetc("contour_level_selection_type", "level_list")
	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_label_colour", "black")
	call psetc("contour_shade", "on")
	call pset1r("contour_level_list", (/0.30, 0.40, 0.50, 0.60, 0.70, 0.80, 0.90, 1.50/), 8)
	call psetc("contour_line_colour", "black")
	call psetr("contour_label_frequency", 1.00)
	call psetr("contour_shade_min_level", 0.30)
	call psetc("contour_hilo", "off")
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "on")
	call psetc("contour_shade_method", "area_fill")
	call psetc("legend", "on")
	call pset1c("contour_shade_colour_list", (/"none              ", "none              ", "RGB(1, 1, 0, 1)   ", "RGB(1, 0.75, 0, 1)",&
		"RGB(1, 0.5, 0, 1) ", "RGB(1, 0.25, 0, 1)", "RGB(1, 0, 0, 1)   "/), 7)
	call pcont

	call preset('contour_level_selection_type')
	call preset('contour_shade_colour_method')
	call preset('contour_label_colour')
	call preset('contour_shade')
	call preset('contour_level_list')
	call preset('contour_line_colour')
	call preset('contour_label_frequency')
	call preset('contour_shade_min_level')
	call preset('contour_hilo')
	call preset('contour_highlight')
	call preset('contour_label')
	call preset('contour_shade_method')
	call preset('legend')
	call preset('contour_shade_colour_list')

	call psetc("map_label", "on")
	call psetc("map_grid_line_style", "dash")
	call psetc("map_grid_colour", "grey")
	call psetc("map_coastline_colour", "black")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call preset('map_label')
	call preset('map_grid_line_style')
	call preset('map_grid_colour')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call psetr("text_font_size", 0.80)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
